<template>
    <b-list-group class="mt-4">
        <b-list-group-item  v-for="category in categories" :key="category.id" @click="getCategory(category.id)">
        <i class="fa fa-chevron-right" v-if="selected==category.id"></i>    {{category.name}}
        </b-list-group-item>
    </b-list-group>
</template>

<script>
import axios from 'axios';
export default {
    name: 'Users',
    data: function() {
        return {
            categories:[],
            selected:null,
         
        };
    },
    created() {
        this.$root.$refs.Categories = this;
        this.getCategories();
    },
    mounted() {
        console.log('mounted categories')
    },
    methods: {
        getCategory(inId){
            this.selected=inId;
            this.$root.$refs.Products.getProductsByCategory(inId);
        },
        getCategories(){
            var url='http://sva.talana.com:8000/api/product-category/';
            axios.get(url).then(response => {
                this.categories=response.data;
            });
        },
    }
}
</script>